<?php
// This file is part of Multi-tenancy plugin for Moodle™.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <https://www.gnu.org/licenses/>.

// phpcs:disable moodle.Files.BoilerplateComment.CommentEndedTooSoon

/**
 * Multi-tenancy caches.
 *
 * @package     tool_mutenancy
 * @copyright   2025 Petr Skoda
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$definitions = [
    'config' => [
        'mode' => cache_store::MODE_APPLICATION,
        'simpledata' => true,
        'invalidationevents' => [
            'tool_mutenancy_invalidatecaches',
        ],
        'staticacceleration' => true,
        'canuselocalstore' => false,
    ],

    'tenant' => [
        'mode' => cache_store::MODE_APPLICATION,
        'simpledata' => true,
        'invalidationevents' => [
            'tool_mutenancy_invalidatecaches',
        ],
        'staticacceleration' => true,
        'canuselocalstore' => false,
    ],
];
